<!DOCTYPE html>


<html lang="pt-br" xmlns:th="http://www.w3.org/1999/xhtml">

<head th:include="layout/fragments/script :: head"
      th:with="pageTitle=#{pageTitle.login}"></head>

<body class="login-page bg-login">
<th:block th:insert="layout/fragments/messages :: messages"></th:block>
<div class="login-box">
    <div class="login-logo">
        <a href="#" th:href="@{/}">
            <i class="fas fa-user-secret fa-2x"></i>
            <b th:text="#{login.logoText}"></b>
        </a>
    </div>
    <div class="card">
        <div class="card-body login-card-body">
            <p class="login-box-msg" th:text="#{login.message}"></p>

            <form action="" autocomplete="off" id="login-user-form" method="POST" th:action="@{/login}">

                <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>

                <div class="alert alert-danger" th:if="${param.error}"
                     th:text="#{login.error}"></div>

                <div class="alert alert-success" th:if="${param.logout}"
                     th:text="#{login.disconnect}"></div>

                <div class="input-group mb-3">
                    <input class="form-control" name="username" th:placeholder="#{login.user}" type="text">
                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-user"></span>
                        </div>
                    </div>
                </div>

                <div class="input-group mb-3">
                    <input class="form-control" name="password" th:placeholder="#{login.password}" type="password">
                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-lock"></span>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <button class="btn btn-secondary btn-block" id="submit-button" th:text="#{login.submit}"
                            type="submit"></button>
                </div>
            </form>

            <div class="col-12 text-center mt-4">
                <a href="" id="create-user-link" th:href="@{/user/create}" th:text="#{login.createAccount}"></a>
            </div>

        </div>
    </div>
</div>
<div th:include="layout/fragments/script :: javascripts"/>
</body>
</html>
